/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
/*footer*/

.booking_step {
    display: none;
    opacity: 0;
    transition: opacity 0.3s ease;
}
.booking_step.active {
    display: block;
    opacity: 1;
}
img.footer-icon-right {
    margin-right: 15px;
}
.calling-double {
    display: flex;
    gap: 10px;
}
.header-double {
    display: flex;
    gap: 3px;
}
a.calling-icon {
    color: #FFFFFF;
}
a.calling-icon:hover {
    color: #F57D5F;
}

img.testimonail-custom-images {
    margin: 0px 0px 10px 30px;
}

span.window-repair-txt {
    font-weight: 700;
}
a.repair-anchor {
    font-weight: 700;
    text-decoration: underline;
}
a.repair-anchor:hover {
    color: #2C3C8C;
}
.all-tabss button[aria-selected="true"] .e-n-tab-title-text {
    position: relative;
    font-weight: 700 !important;
}
.all-tabss button[aria-selected="true"] .e-n-tab-title-text::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -6px; 
    transform: translateX(-50%);
    width: 100%; 
    height: 2px; 
    background-color: currentColor; 
}
.elementor-element.elementor-element-6dfeef76 > .e-n-accordion > .e-n-accordion-item[open] > .e-n-accordion-item-title {
    background-color: #F4F5FD;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
	border-bottom: 0px;
}
.elementor-element.elementor-element-53cfd4b > .e-n-accordion > .e-n-accordion-item[open] > .e-n-accordion-item-title {
    background-color: #F4F5FD;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
	border-bottom: 0px;
}
/*----contacts Page---*/
a.contacts-phone {
    color: #1F2130;
}
a.contacts-phone:hover {
    color: #F57D5F;
}
/* contact*/
.custom-message-form textarea#form-field-field_b85f1a8 {
    padding-top: 20px;
}
/*header*/
.elementor-element.elementor-element-d9ce01f .elementor-nav-menu--main .elementor-item.elementor-item-active {
    font-weight: 700;
}
span.calling-icon:hover {
    color: #F57D5F;
}


.elementor-nav-menu--main:not(.e--pointer-framed) 
.elementor-item.elementor-item-active:before,
.elementor-nav-menu--main:not(.e--pointer-framed) 
.elementor-item.elementor-item-active:after {
    background-color: #F57D5F;
    width: 20px;
    left: 20px;
}
.elementor-nav-menu--main:not(.e--pointer-framed) 
.elementor-item:hover:before,
.elementor-nav-menu--main:not(.e--pointer-framed) 
.elementor-item:hover:after,
.elementor-nav-menu--main:not(.e--pointer-framed) 
.elementor-item.elementor-item-active:before,
.elementor-nav-menu--main:not(.e--pointer-framed) 
.elementor-item.elementor-item-active:after {
    background-color: #F57D5F;
    width: 20px;
    left: 20px;
     transition: all 0.5s; 
}
button.iti__selected-country:hover {
    background-color: white;
}
.quality-window .elementor-icon-box-wrapper:hover svg path {
    fill: white !important;
}
@media (min-width: 1025px) {
 li.get-mwnu-btn {
    display: none !important;
}
}
.elementor-slideshow__title {
    display: none;
}
/*---------------booking form---------------*/
a.request-tel {
    color: #232535;
}
a.request-tel:hover {
    color: #F57D5F;
}
#bookingForm .fields-wrapper.services {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
    width: 60%;
    justify-content: center;
    margin: 0 auto;
}
#bookingForm #step1 {
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
}
.booking_step h3.title {
    color: #181B18 !important;
    margin: 0;
    text-align: center;
    font-family: 'Inter';
    font-size: 30px;
    font-weight: 600;
    line-height: 1.1em;
}
#bookingForm .services .form-field-option {
    display: flex;
}
#bookingForm .services .form-field-option input[type=radio] {
    -webkit-appearance: none;
}
#bookingForm .services .form-field-option {
    display: flex;
}
#bookingForm .services .form-field-option input[type="radio"]:checked + label {
    background: #F3F6FE;
    
}
#bookingForm .fields-wrapper {
    margin-top: 30px !important;
    margin-bottom: 35px !important;
}
#bookingForm .services .form-field-option label {
    background: #F9F9FB;
    border: 1px solid #F9F9F9;
    height: 360px;
    width: 100%;
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: #181B18 !important;
    font-family: "Barlow", Sans-serif;
    font-size: 20px;
    font-weight: 600;
    line-height: 1.1em;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    gap: 30px;
}
#bookingForm .services .form-field-option input[type="radio"]:checked + label img.white {
    display: none;
}
#bookingForm .services .form-field-option label img {
    width: 126px;
}
#bookingForm .services .form-field-option input[type="radio"]:checked + label img.green {
    display: block !important;
}
#bookingForm .services .form-field-option label img.green {
    display: none;
}
#bookingForm #step1 .btn-group {
    justify-content: center !important;
}
#bookingForm .booking_step .btn-group {
    display: flex;
    justify-content: end;
    gap: 10px;
    flex-wrap: wrap;
}
#bookingForm .btn-group button.btn {
    height: 50px;
    padding: 10px 40px;
    border: 1px solid #2C3C8C;
    border-radius: 10px;
    transition: all 0.3s ease-in-out;
    font-family: "Inter", Sans-serif;
    font-size: 16px;
    font-weight: 600;
    line-height: 20px;
    color: #2C3C8C;
}
#bookingForm .btn-group button.btn.button-next {
    background: #2C3C8C;
    color: #fff;
    border-color: #2C3C8C;
}
#bookingForm .btn-group button.btn.button-next:hover {
    background: #F57D5F !important;
    border-color: #F57D5F !important;
}
.booking_step .fields-wrapper.bg {
    background: #F6F8FD;
    padding: 35px;
    border-radius: 20px;
}
.booking_step .fields-wrapper.bg {
    background: #F6F8FD;
    padding: 35px;
    border-radius: 20px;
}
#bookingForm #step2 {
    max-width: 700px;
    margin: 0 auto;
}
.booking_step .fields-wrapper .form-row label, .booking_step .fields-wrapper .dtl-field-group label {
    font-family: "Inter", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
    color: #232535;
}
.booking_step .fields-wrapper .form-row input, .booking_step .fields-wrapper .form-row textarea {
    width: 100%;
    height: 60px;
    border: 1px solid #DFE6DF;
    border-radius: 12px;
    font-size: 16px !important;
    font-family: "Inter", Sans-serif;
    font-weight: 400;
    color: #181B18;
    padding: 15px 20px;
    margin: 10px 0 25px 0;
}
#bookingForm .fields-wrapper .radio-field-option {
    margin-bottom: 20px;
    width: 100% ! IMPORTANT;
    display: flex;
    position: relative;
}
#bookingForm .fields-wrapper .radio-field-option input {
    -webkit-appearance: none;
}
#bookingForm .fields-wrapper .radio-field-option label {
    font-family: "Inter", Sans-serif;
    font-size: 20px;
    font-weight: 400;
    color: #232535;
    border: 1px solid #DFE6DF;
    height: 80px;
    width: 100%;
    border-radius: 12px;
    display: flex;
    align-items: center;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
    gap: 15px;
    padding: 15px 25px;
    background: #fff;
    padding-left: 4rem;
}
button, input, optgroup, select, textarea {
    font-family: inherit;
    font-size: 1rem;
    line-height: 1.5;
    margin: 0;
}
#bookingForm .fields-wrapper .radio-field-option input[type=radio]:checked::before {
    font-size: 17px;
    content: "\2713";
    color: #ffffff;
    background: #2C3C8C;
    line-height: 16px;
    font-weight: 600;
    text-align: center;
    border-color: #2C3C8C;
}
#bookingForm .fields-wrapper .radio-field-option input[type=radio]::before {
    content: "";
    width: 22px;
    height: 22px;
    border: 2px solid #AFB1BD;
    border-radius: 4px;
    position: absolute;
    top: 29px;
    left: 30px;
}
#bookingForm #step3, #bookingForm #step4, #bookingForm #step5, #bookingForm #step6 {
    max-width: 800px;
    margin: 0 auto;
}
p.select-title {
    margin: 0;
    text-align: center;
    font-family: 'Inter';
    font-size: 20px;
    font-weight: 500;
    line-height: 1.1em;
    color: #232535;
    padding: 0 0 27px 0;
}

button.btn.button-prev:hover ,button.browse-btn:hover, button.browse-btn:focus {
    background-color: #F57D5F;
    color: #fff !important;
    border: 1px solid #F57D5F !important;
}

button.browse-btn{
    height: 43px;
    padding: 0px 20px;
    border: 1px solid #2C3C8C;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
    font-family: "Inter", Sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    color: #2C3C8C;
}
#step5 .photo-upload-wrapper .upload-row {
    width: 100%;
    display: flex;
    gap: 15px;
    margin: 0px 0px 20px 0px;
}
#step5 .photo-upload-wrapper label.upload-label {
    margin: 0px 0px 20px 0px;
}
#step5 .photo-upload-wrapper p.whatsapp-note {
    margin: 0px 0px 5px 0px;
}
/* Cards wrapper */
.repair-card-wrapper {
    display: flex;
    gap: 20px;
    margin-bottom: 30px;
	margin-top: 20px;
}
/***** Individual card ******/
.repair-card {
    flex: 1;
    cursor: pointer;
}
.repair-card input {
    display: none;
}
.repair-content {
    background: #fff;
    border: 1px solid #E7E8EF;
    border-radius: 12px;
    padding: 30px 10px;
    text-align: center;
    transition: 0.35s;
}
/* Icons */
.icon {
    height: auto;
    transition: 0.35s;
}
/* Hide blue icon initially */
.icon.active {
    display: none;
}
/******** HOVER → Icon only ********/
.repair-card:hover .icon.default {
    display: none;
}
.repair-card:hover .icon.active {
    display: inline-block;
}
/******** SELECTED → Blue icon + blue border + blue text ********/
.repair-card input:checked + .repair-content {
    border-color: #2C3C8C;
    background: #fff;
}
.repair-card input:checked + .repair-content .icon.default {
    display: none;
}
.repair-card input:checked + .repair-content .icon.active {
    display: inline-block;
}
.repair-card input:checked + .repair-content p {
    color: #3b82f6;
}
.repair-content p {
    margin-top: 16px;
    font-size: 16px;
    font-weight: 500;
    color: #232535;
    transition: 0.35s;
    font-family: 'Inter';
}
/* Yes/No Boxes */
.question-box {
    margin-top: 25px;
}
.yes-no-row {
    display: flex;
    gap: 25px;
    margin-top: 6px;
}
.yes-no-row label {
    font-size: 15px;
    display: flex;
    align-items: center;
    gap: 6px;
}
.question-box p {
    font-size: 16px;
    color: #232535;
    line-height: 19px;
    font-family: 'Inter';
}
p.repair-heading {
    font-size: 18px;
    color: #232535;
    font-weight: 500;
    font-family: 'Inter';
}
label.custom-checkbox input[type="checkbox"] {
    height: 22px;
    width: 22px;
    border: 2px solid #AFB1BD;
    border-radius: 5px;
    cursor: pointer;
}
span.checkbox-title {
    color: #232535;
    font-size: 16px;
    font-weight: 400;
    font-family: 'Inter';
    margin-left: 5px;
}
/*-------------calendar---*/
.calendar-wrapper {
    display: flex;
    gap: 30px;
    background: #f5f7fe;
    padding: 0 0;
    border-radius: 18px;
    max-width: 800px;
    margin: 10px auto;
    font-family: 'Inter';
}
/* Calendar Left Side */
.calendar-left {
    width: 55%;
}
.calendar-header {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 75px;
    font-size: 18px;
    margin-bottom: 20px;
}
.nav-arrow {
    font-size: 25px;
    cursor: pointer;
    padding: 3px 16px;
    border-radius: 100%;
    transition: 0.2s;
}
.nav-arrow:hover {
    background: #DFE1ED;
}
.month-title {
    font-weight: 400;
    font-size: 16px;
    font-family: 'Inter';
    color: #232535;
}
/* Calendar Grid */
.calendar-grid {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 0px;
    text-align: center;
}
.day-name, .day {
    padding: 11px 0;
}

.day-name {
    font-size: 12px;
    color: #232535;
    text-transform: uppercase;
    font-weight: 400;
    line-height: 12px;
}
.day {
    border-radius: 100%;
    cursor: pointer;
    transition: 0.25s;
    color: #232535;
    font-size: 16px;
}
/* .day:hover {
    background: #e5e8ff;
} */
.day.disabled {
    color: #c3c6d2;
    cursor: default;
}
.day.active {
    background: #2C3C8C;
    color: white;
}
/* Timezone */
.timezone-box {
    margin-top: 25px;
    display: flex;
    align-items: center;
    gap: 12px;
}
#timezoneSelect {
    padding: 10px 15px;
    border-radius: 20px;
    border: 1px solid #E6E5EF;
    outline: none;
    width: 100%;
    color: #232535;
    font-size: 14px;
    font-weight: 400;
    font-family: 'Inter';
}

/* Time Slots */
.calendar-right {
    width: 45%;
}
.slot-heading {
    margin-bottom: 20px;
    font-size: 14px;
    color: #1A1A1A;
    font-weight: 400;
    font-family: 'Inter';
}
.slot-card {
    background: #ffffff;
    border: 1px solid #E6E5EF;
    padding: 20px 20px;
    border-radius: 20px;
    display: flex;
    gap: 16px;
    align-items: center;
    margin-bottom: 15px;
    cursor: pointer;
    transition: 0.2s;
}
.slot-card img {
    width: 45px;
}
.slot-card strong {
    font-size: 16px;
    font-weight: 700;
    font-family: 'Inter';
}
.slot-card p {
    margin: 10px 0 0 0;
    font-size: 16px;
    color: #1A1A1A;
    font-weight: 400;
    font-family: 'Inter';
}
/* Selected slot */
.slot-card.active {
    background: #F57D5F;
    border-color: #F57D5F;
    color: #fff;
}
.slot-card.active p {
    color: #fff;
}
img.tz-icon {
    width: 18px;
}
label.timezone-text {
    white-space: nowrap;
    color: #232535;
    font-size: 14px;
    font-weight: 400;
    font-family: 'Inter';
}
/*thanku step*/
   #thankyou {
    text-align: center;
}
.thankyou-wrapper {
    max-width: 800px;
    margin: 0 auto;
}
img.thankyou-img {
    width: 195px;
    margin-bottom: 30px;
}
h2.thankyou-title {
    font-size: 40px;
    font-weight: 500;
    color: #232535;
    margin-bottom: 20px;
}
p.thankyou-text {
    font-size: 20px;
    color: #232535;
    margin: 0 auto 30px auto;
    width: 62%;
    text-align: center;
    font-weight: 400;
}
.thankyou-btn {
    display: inline-block;
    padding: 12px 32px;
    background: #2C3C8C;
    color: #fff;
    border-radius: 10px;
    font-size: 16px;
    text-decoration: none;
    transition: 0.2s ease;
}
.thankyou-btn:hover {
    background: #F57D5F;
    color: #fff;
}
/*---Phone Number Filed with flag---*/
.telephone {
      display: block;
      margin-bottom: 8px;
      font-weight: bold;
      font-size: 16px;
      color: #232535;
    }
 /* Input Styling (Like your screenshot) */
    #phone {
      width: 100%;
      padding: 14px 14px 14px 65px;
      font-size: 18px;
      border: 1px solid #e5e7eb;
      border-radius: 12px;
      background: #ffffff;
      color: #6b7280;
    }
    .iti {
      width: 100%;
    }

.iti--separate-dial-code .iti__selected-flag {
    background-color: rgb(213 158 158 / 5%);
	padding-left: 12px;
}
@media only screen and (max-width: 767px) {
#bookingForm .fields-wrapper.services {
    display: inline;
}
	.booking_step h3.title {
    margin-bottom: 30px;
}
	.repair-card-wrapper {
    display: grid;
}
	.calendar-wrapper {
    display: inline;
}
	.calendar-left {
    width: 100%;
}
	.calendar-right {
    width: 100%;
    margin-top: 30px;
}
	#bookingForm .services .form-field-option label {
    margin-bottom: 30px;
}
	#bookingForm .fields-wrapper .radio-field-option label {
    font-size: 19px;
}
}

#step5 input#uploadText {
    width: 35%;
    border-radius: 5px;
}
#step5 .preview-grid {
display:flex;
gap:10px;
margin-top: 0px;
flex-wrap:wrap;
}

#step5 .preview-box {
width:70px;
height:70px;
border:2px solid #ccc;
border-radius:6px;
position:relative;
overflow:hidden;
background:#f7f7f7;
}

#step5 .preview-box img {
width:100%;
height:100%;
object-fit:cover;
}

#step5 .remove-img {
position:absolute;
top:2px;
right:2px;
color:white;
background:red;
width:18px;
padding-bottom: 10px;
height:18px;
text-align:center;
border-radius:50%;
cursor:pointer;
font-size:14px;
}

#step5 .browse-btn {
padding:6px 12px;
cursor:pointer;
margin-left:10px;
}
.photo-upload-wrapper {
    background: white;
    padding: 25px;
    border-radius: 20px;
    border: 1px solid #e5e7eb;
}